Package org.opensaml.xmlsec.encryption.impl

# Class SaltImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.encryption.impl.SaltImpl

All Implemented Interfaces:
  `XMLObject`, `Salt`

public class SaltImpl extends AbstractXMLObject implements Salt
Concrete implementation of `Salt`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private OtherSource`
`otherSource`
OtherSource child element value.
`private Specified`
`specified`
Specified child element value.

### Fields inherited from interface org.opensaml.xmlsec.encryption.Salt

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SaltImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`OtherSource`
`getOtherSource()`
Get the OtherSource child element.
`Specified`
`getSpecified()`
Get the Specified child element.
`void`
`setOtherSource(OtherSource newOtherSource)`
Set the OtherSource child element.
`void`
`setSpecified(Specified newSpecified)`
Set the Specified child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### specified

@Nullable private Specified specified
Specified child element value.

### otherSource

@Nullable private OtherSource otherSource
OtherSource child element value.

## Constructor Details

### SaltImpl

protected SaltImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace URI
  `elementLocalName` - local name
  `namespacePrefix` - namespace prefix

## Method Details

### getSpecified

@Nullable public Specified getSpecified()
Get the Specified child element.

Specified by:
  `getSpecified` in interface `Salt`
Returns:
  the element

### setSpecified

public void setSpecified(@Nullable Specified newSpecified)
Set the Specified child element.

Specified by:
  `setSpecified` in interface `Salt`
Parameters:
  `newSpecified` - the element

### getOtherSource

@Nullable public OtherSource getOtherSource()
Get the OtherSource child element.

Specified by:
  `getOtherSource` in interface `Salt`
Returns:
  the element

### setOtherSource

public void setOtherSource(@Nullable OtherSource newOtherSource)
Set the OtherSource child element.

Specified by:
  `setOtherSource` in interface `Salt`
Parameters:
  `newOtherSource` - value

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements